--ODIECustomerInfoRequestCategoryType
USE [COWS]
GO

/****** Object:  Table [dbo].[REDSGN]    Script Date: 11/02/2015 13:30:51 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE dbo.ODIE_CUST_INFO_REQ_CAT_TYPE(
	[ODIE_CUST_INFO_REQ_CAT_TYPE_ID] [int] NOT NULL,
	[ODIE_CUST_INFO_REQ_CAT_TYPE] [varchar](5) NOT NULL,
	[ODIE_CUST_INFO_REQ_CAT_TYPE_DESC] [varchar](100) NOT NULL,
	[CREAT_DT] [smalldatetime] NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[REC_STUS_ID] [tinyint] NOT NULL
 CONSTRAINT [PK_ODIE_CUST_INFO_REQ_CAT_TYPE] PRIMARY KEY CLUSTERED 
(
	[ODIE_CUST_INFO_REQ_CAT_TYPE_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] 

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[ODIE_CUST_INFO_REQ_CAT_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_ODIE_CUST_INFO_REQ_CAT_TYPE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[ODIE_CUST_INFO_REQ_CAT_TYPE] CHECK CONSTRAINT [FK01_ODIE_CUST_INFO_REQ_CAT_TYPE]
GO

ALTER TABLE [dbo].[ODIE_CUST_INFO_REQ_CAT_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK02_ODIE_CUST_INFO_REQ_CAT_TYPE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[ODIE_CUST_INFO_REQ_CAT_TYPE] CHECK CONSTRAINT [FK02_ODIE_CUST_INFO_REQ_CAT_TYPE]
GO

ALTER TABLE dbo.ODIE_REQ
	ADD ODIE_CUST_INFO_REQ_CAT_TYPE_ID [int]

GO

ALTER TABLE [dbo].[ODIE_REQ]  WITH NOCHECK ADD  CONSTRAINT [FK06_ODIE_REQ] FOREIGN KEY([ODIE_CUST_INFO_REQ_CAT_TYPE_ID])
REFERENCES [dbo].[ODIE_CUST_INFO_REQ_CAT_TYPE] ([ODIE_CUST_INFO_REQ_CAT_TYPE_ID])
GO

ALTER TABLE [dbo].[ODIE_REQ] CHECK CONSTRAINT [FK06_ODIE_REQ]
GO
